Page MenuHomePhabricator

PHP Deprecated: Use of OutputPage::parse was deprecated in MediaWiki 1.33. [Called from GettextDocumentationAid::getData in ///Translate/translationaids/GettextDocumentationAid.php at line 66]
Closed, ResolvedPublic

Description

Probably it should be replaced with parseAsContent, but that's only available in 1.32.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2019, 9:10 AM
Nikerabbit triaged this task as Medium priority.Jun 19 2019, 9:10 AM
abi_ moved this task from Backlog to In Progress on the User-abi_ board.Jun 21 2019, 4:23 PM

Change 518296 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Removes usage of deprecated OutputPage::parse

https://gerrit.wikimedia.org/r/518296

abi_ moved this task from In Progress to Under Review on the User-abi_ board.Jun 21 2019, 4:38 PM
abi_ added a subscriber: abi_.Jul 17 2019, 1:21 PM

During testing Niklas found that that external link icon disappears when this patch is applied.

I did some digging regarding this and I've documented findings here - https://www.mediawiki.org/wiki/User:APatro_(WMF)/OutPutPage::parse

Summary,

Output from parse is wrapped in a div tag with class mw-parser-output whereas the output from parseAsContent is not.

I think it is expected for the parser content to be wrapped inside a container with .mw-parser-output class. Hence updated the patch to add this.

During testing I also noticed that the editable documentation does not have the mw-parser-output class either causing the external link icon not to appear there either.

@Nikerabbit - Would you like me to file a task to fix this?

Change 518296 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Removes usage of deprecated OutputPage::parse

https://gerrit.wikimedia.org/r/518296

abi_ moved this task from Under Review to QA on the User-abi_ board.Jul 17 2019, 5:13 PM
abi_ added a subscriber: Pginer-WMF.

Hi @Pginer-WMF

Can you please add this to the current sprint? Work on this started before we started adding Translate extensions tasks on the Language board.

abi_ claimed this task.Jul 17 2019, 5:13 PM
Jpita added a subscriber: Jpita.Jul 18 2019, 10:04 PM

@abi_ any info you can provide on how I can test this?

@Jpita - We will test this change once we have the deployment on Translatewiki.net on 25th July. Niklas has already tested this locally so, I'll move this to Recheck after deployment.

abi_ moved this task from QA to Deployed / PROD QA on the User-abi_ board.Jul 22 2019, 12:10 PM
abi_ added a comment.Jul 30 2019, 7:20 AM

This hasn't been deployed on Translatewiki.net, which AFAIK is the only known user of this code. Leaving this in PROD QA

abi_ closed this task as Resolved.Aug 18 2019, 1:47 PM

Checked this on Translatewiki.net and it works fine,